/********************************
* name: BYJ48 Stepper motor code
* function: This program drives a unipolar or bipolar stepper motor.
  Blue LED blinks 2 times then the motor moves 1000 steps in one direction 
 (Green LED is on), then 1000 in the other (Red LED is on). 
********************************/
//Email:info@acoptex.com
//Website:www.acoptex.com
/********************************/
// include the library code
#include <Stepper.h>
/********************************/
#define motorSteps 64     // change this depending on the number of steps
                           // per revolution of your motor
#define motorPin1 8
#define motorPin2 10
#define motorPin3 9
#define motorPin4 11
#define ledPin1 6
#define ledPin2 7
#define ledPin3 13
/********************************/
// initialize of the Stepper library:
Stepper myStepper(motorSteps, motorPin1,motorPin2,motorPin3,motorPin4); 
/********************************/
void setup() {
  // set the motor speed at 200 RPMS:
  myStepper.setSpeed(200);

  // Initialize the Serial port:
  Serial.begin(9600);
  // set up Green and Red LED pins:
  pinMode(ledPin1, OUTPUT);
  pinMode(ledPin2, OUTPUT);
  // set up the Blue LED pin:
  pinMode(ledPin3, OUTPUT);
}
/********************************/
void loop() {
  // Start the program:
  Serial.println("Start the program");
  delay(1000);
  // blink the LED 2 times:
  blink(2);
  // Step right 1000 steps:
  Serial.println("Turn right");
  digitalWrite(ledPin1, HIGH);
  myStepper.step(1000);
  delay(500);
  digitalWrite(ledPin1, LOW);
  delay(500);
  // Step left 1000 steps:
  Serial.println("Turn left");
  digitalWrite(ledPin2, HIGH);
  myStepper.step(-1000);
  delay(500);
  digitalWrite(ledPin2, LOW);
  delay(500); 
}
/********************************/
// Blink the blue LED:
void blink(int howManyTimes) {
  int i;
  for (i=0; i< howManyTimes; i++) {
    digitalWrite(ledPin3, HIGH);
    delay(200);
    digitalWrite(ledPin3, LOW);
    delay(200);
  }
}
